## DeleteRunner **post** `/gitpod.v1.RunnerService/DeleteRunner` Deletes a runner permanently. Use this method to: - Remove unused runners - Clean up runner registrations - Delete obsolete runners ### Examples - Delete runner: Permanently removes a runner. ```yaml runnerId: "d2c94c27-3b76-4a42-b88c-95a85e392c68" ``` ### Body Parameters - `force: optional boolean` force indicates whether the runner should be deleted forcefully. When force deleting a Runner, all Environments on the runner are also force deleted and regular Runner lifecycle is not respected. Force deleting can result in data loss. - `runnerId: optional string` ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.RunnerService/DeleteRunner \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{}' ``` #### Response ```json {} ```